hive-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Aihua Xu (JIRA)" <j...@apache.org>
Subject [jira] [Updated] (HIVE-16439) Exclude older v2 version of jackson lib from dependent jars in pom.xml
Date Thu, 13 Apr 2017 18:59:41 GMT

     [ https://issues.apache.org/jira/browse/HIVE-16439?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Aihua Xu updated HIVE-16439:
----------------------------
    Status: Patch Available  (was: Open)

> Exclude older v2 version of jackson lib from dependent jars in pom.xml 
> -----------------------------------------------------------------------
>
>                 Key: HIVE-16439
>                 URL: https://issues.apache.org/jira/browse/HIVE-16439
>             Project: Hive
>          Issue Type: Bug
>          Components: Hive
>            Reporter: Aihua Xu
>            Assignee: Aihua Xu
>         Attachments: HIVE-16439.1.patch
>
>
> There are multiple versions of jackson libs included in the dependent jars like spark-client
and metrics-json. That causes older versions of jackson libs to be used.   
> We need to exclude them from the dependencies and use the explicit one (currently 2.6.5).
>           <groupId>com.fasterxml.jackson.core</groupId>
>           <artifactId>jackson-databind</artifactId>



--
This message was sent by Atlassian JIRA
(v6.3.15#6346)

Mime
View raw message